MIXXX(1)

NAME
mixxx — A Digital Disc Jockey Interface

SYNOPSIS

mixxx

DESCRIPTION

mixxx is free DJ software that gives you everything you need to perform live DJ mixes. Blend songs together with automatic BPM matching and remix on-the-fly with looping and hot cues. Whether you're a pro DJ or just getting started, Mixxx has you covered.

mixxx works with ALSA, JACK, OSS and supports many popular DJ controllers.

This manual page documents briefly the mixxx command line options. It does not describe all of the features of mixxx or how to use it; Instead, it has a documentation in pdf format; see below.

KEY FEATURES

•   Parallel or split scratchable waveform displays.

•   MP3, OGG, WAVE, FLAC, and optional AAC (M4A) playback.

•   WAVE, OGG, and optional MP3 recording.

•   Fast, database-powered library.

•   Crates and playlists for organizing your music.

•   Reads iTunes, Traktor, and Rhythmbox libraries.

•   Cross-platform - works on Windows, Mac OS X and Linux.

•   Shoutcast and Icecast broadcasting.

•   Support for many DJ MIDI & HID controllers out-of-the-box.

•   Advanced MIDI scripting engine for maximum flexibility.

•   Vinyl emulation with Serato,Traktor, and Mixvibes timecode support.

•   Bulk BPM and beat detection.

•   ReplayGain volume normalization.

•   Automatic crossfading with Auto DJ.

•   Skinnable interface with several skins bundled.

For a full list of features go to: (link to URL http://mixxx.org/features/) .

mixxx does not have AAC (M4A) playback support enabled by default due to licensing restrictions. To enable playback of unprotected AAC (M4A) files, you can build mixxx from source. See also: (link to URL http://www.mixxx.org/wiki/doku.php/compiling_on_linux#build_with_m4a_file_support)

OPTIONS

Mixxx is designed to be as user-friendly as possible. As such, its command line options are only useful for development or debugging, as they make these tasks easier. mixxx accepts the following case-sensitive options on the command-line:

<FILE>
    Load the specified music file(s) at start-up. Each file you specify will be loaded into the next virtual deck. Supported file types: mp3, ogg, aiff, aif, wav, flac

--resourcePath           <PATH>
    Top-level directory where Mixxx should look for its resource files such as MIDI mappings, overriding the default installation location.

--pluginPath           <PATH>
    Top-level directory where Mixxx should look for sound source plugins in addition to default locations.

--settingsPath           <PATH>
    Top-level directory where Mixxx should look for settings.

--controllerDebug/--midiDebug
    Causes Mixxx to display/log all of the MIDI/HID controller data it receives and script functions it loads.

--developer
    Enables developer-mode. Includes extra log info, stats on performance, and a Developer tools menu.

--locale           <LOCALE>
    Use a custom locale for loading translations (e.g 'fr').

--f           --fullScreen
    Starts mixxx in full-screen mode.

-h           --help
    Display a help message and exit.

SEE ALSO

/usr/share/doc/mixxx/Mixxx-Manual.pdf

The manual in pdf format should have come with your copy of mixxx, however there is an online copy available: (link to URL http://mixxx.org/wiki/doku.php/manual) .

FILES

~/.mixxx/
    The directory where mixxx stores its user data.

~/.mixxx/mixxx.cfg
    The mixxx configuration file.

~/.mixxx/mixxxdb.sqlite
    The mixxx library file. Warning: Deleting your library will lose all of your metadata. This includes saved hotcues, loops, comments, ratings, and other library related metadata. Only delete your library if you are fine with losing these.

~/.mixxx/analysis
    The directory where mixxx stores any additional analysis data that can't fit into the library file. Currently only the waveforms are saved here. If you delete your library file you should also delete this folder as the waveforms around 1MB each and are unusable without the library that generated them.

~/.mixxx/controllers
    The directory where mixxx stores user controller mappings. All mappings that are created with the MIDI learning wizard are saved here. If there are mappings for a controller in the default resource directory and this directory mixxx will use the one saved here.

/usr/share/mixxx
    The directory where mixxx stores its default resources like skins, MIDI/HID controller mappings, keyboard mappings, and translations.

/usr/share/doc/mixxx/Mixxx-Manual.pdf
    The mixxx manual in pdf format.

BUGS

To report a bug or request a feature, go to the mixxx bug tracker: (link to URL http://bugs.launchpad.net/mixxx)

AUTHORS

Since 2000, over 150 developers, artists and translators have helped create mixxx. The current mixxx development team is led by RJ Ryan rryan@mixxx.org.

This manual page was written by S.Brandt s.brandt@mixxx.org for the Debian system (and may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL-2.

History

April 12, 2013
    Completely revised for mixxx 1.11 by Max Linke and S.Brandt s.brandt@mixxx.org

November 26, 2004
    Initial version by Paul Brossier piem@altern.org.